using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapMailboxResponse : ImapResponse {
    public ImapMailbox Mailbox {
      get { return mailbox; }
    }

    internal ImapMailboxResponse(ImapTransactionStatus status, ImapMailbox mailbox, string description)
      : base(status, description)
    {
      this.mailbox = mailbox;
    }

    private readonly ImapMailbox mailbox;
  }
}
