using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapMessageResponse : ImapResponse {
    public ImapMessage[] Messages {
      get { return messages; }
    }

    internal ImapMessageResponse(ImapTransactionStatus status, ImapMessage[] messages, string description)
      : base(status, description)
    {
      this.messages = messages;
    }

    private readonly ImapMessage[] messages;
  }
}
