using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapMessageListResponse : ImapResponse {
    public int[] Messages {
      get { return messages; }
    }

    internal ImapMessageListResponse(ImapTransactionStatus status, int[] messages, string description)
      : base(status, description)
    {
      this.messages = messages;
    }

    private readonly int[] messages;
  }
}
