using System;

namespace Smdn.Protocols.Pop3 {
  public class PopScanList {
    public int MessageNumber {
      get { return messageNumber; }
    }

    public int Octets {
      get { return octets; }
    }

    internal PopScanList(int messageNumber, int octets)
    {
      this.messageNumber = messageNumber;
      this.octets = octets;
    }

    public override string ToString()
    {
      return string.Format("{{MessageNumber={0}, Octets={1}}}", messageNumber, octets);
    }

    private readonly int messageNumber;
    private readonly int octets;
  }
}